# {{ ansible_managed }}
server {
    listen       80 ;
    listen       443 ssl ;
    server_name  old.kde.cat;

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /var/www/nginx-default;
    }

    rewrite ^/$ https://$host/index.php/ ;

    location ^~ /.well-known/acme-challenge/ {
        root /var/www/murdock;
    }


    # reverse proxy to Perens
    location / {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
	proxy_set_header  X-Forwarded-Proto $scheme ;

        proxy_pass        http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80;
	proxy_redirect    http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80 https://cat.kde.org:443 ;
    }

    ssl_certificate     /etc/ssl/certs/old.kde.cat.chained.crt ;
    ssl_certificate_key /etc/ssl/private/old.kde.cat.key ;
    include ssl.conf ;
}

